/*
pick3.h  Version 0.2.0 Header for Illinois Pick 3
Copyright (C) 2002-2005  dondalah@ripco.com (Dondalah)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License as
published by the Free Software Foundation; either version 2 of
the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to:

	Free Software Foundation, Inc.
	59 Temple Place - Suite 330
	Boston, MA  02111-1307, USA.
*/

/*
Usage for getp3.c:
    	int option;
    	double odds;
    	double getp3(int option);
    	odds = getp3(option);
*/

/* Options are defined below. */

#define STRAIGHT 0
#define BOX      1
#define STRBOX   2
#define STRBOXE  2
#define STRBOXA  3

double getp3(int opt);
double combo(int n, int r);
double permute(int n, int r);
